nelmio_cors:
    defaults:
        origin_regex: false  # Désactivé pour plus de sécurité (sauf si vous avez vraiment besoin de regex)
        allow_origin:
            - '%env(CORS_ALLOW_ORIGIN)%'
            - 'https://serignesammbaye.blog'
            - 'http://localhost:5173'
            - 'http://127.0.0.1:8000'  # Corrigé de 127.0.1 à 127.0.0.1
        allow_methods: ['GET', 'POST', 'PUT', 'PATCH', 'DELETE', 'OPTIONS']
        allow_headers: ['Content-Type', 'Authorization', 'X-Requested-With']
        expose_headers: ['Link']
        max_age: 86400  # Réduit de 86400 (24h) à 3600 (1h) pour plus de sécurité
    paths:
        '^/api':
            allow_origin:  ['%env(CORS_ALLOW_ORIGIN)%', 'https://serignesammbaye.blog', 'http://localhost:5173' ]
            allow_headers: [ 'Content-Type', 'Authorization' ]
            allow_methods: [ 'GET', 'POST', 'OPTIONS', 'PUT', 'PATCH', 'DELETE' ]
